# Crow: crow::detail::dumb_timer_queue Class Reference

crow::detail::dumb_timer_queue Class Reference

Fast timer queue for fixed tick value. More...

`#include <dumb_timer_queue.h>`

## Public Types

using | key = std::pair< dumb_timer_queue *, int >

## Public Member Functions

void | cancel (key &k)
key | add (std::function< void()> f)
| Add a function to the queue.
void | process ()
| Process the queue: take functions out in time intervals and execute them.
void | set_io_service (boost::asio::io_service &io_service)

## Static Public Attributes

static int | tick

## Detailed Description

Fast timer queue for fixed tick value.

The documentation for this class was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/dumb_timer_queue.h